Panda3D

Public Member Functions | Static Public Member Functions | Friends | List of all members
OdeSphereGeom Class Reference
Inheritance diagram for OdeSphereGeom:

## Public Member Functions
| OdeSphereGeom (dGeomID id)
| OdeSphereGeom (dReal radius)
| OdeSphereGeom (OdeGeom &geom)
| OdeSphereGeom (OdeSpace &space, dReal radius)
virtual TypeHandle | force_init_type ()
dReal | get_point_depth (const LPoint3f &p) const
dReal | get_point_depth (dReal x, dReal y, dReal z) const
dReal | get_radius () const
virtual TypeHandle | get_type () const
void | set_radius (dReal radius)
Public Member Functions inherited from OdeGeom
| OdeGeom (dGeomID id)
void | clear_offset ()
int | compare_to (const OdeGeom &other) const
OdeBoxGeom | convert_to_box () const
OdeCappedCylinderGeom | convert_to_capped_cylinder () const
OdeCylinderGeom | convert_to_cylinder () const
OdeHashSpace | convert_to_hash_space () const
OdePlaneGeom | convert_to_plane () const
OdeQuadTreeSpace | convert_to_quad_tree_space () const
OdeRayGeom | convert_to_ray () const
OdeSimpleSpace | convert_to_simple_space () const
OdeSphereGeom | convert_to_sphere () const
OdeTriMeshGeom | convert_to_tri_mesh () const
void | destroy ()
void | disable ()
void | enable ()
void | get_AABB (LVecBase3f &min, LVecBase3f &max) const
OdeBody | get_body () const
BitMask32 | get_category_bits ()
int | get_class () const
BitMask32 | get_collide_bits ()
dGeomID | get_id () const
| Returns the underlying dGeomID. More...
LPoint3f | get_offset_position () const
LQuaternionf | get_offset_quaternion () const
LMatrix3f | get_offset_rotation () const
LPoint3f | get_position () const
LQuaternionf | get_quaternion () const
LMatrix3f | get_rotation () const
OdeSpace | get_space () const
bool | has_body () const
bool | is_empty () const
| Returns true if the ID is 0, meaning the OdeGeom does not point to a valid geom. More...
int | is_enabled ()
int | is_offset ()
int | is_space ()
| operator bool () const
void | set_body (OdeBody &body)
void | set_category_bits (const BitMask32 &bits)
void | set_collide_bits (const BitMask32 &bits)
void | set_offset_position (const LVecBase3f &pos)
void | set_offset_position (dReal x, dReal y, dReal z)
void | set_offset_quaternion (const LQuaternionf &q)
void | set_offset_rotation (const LMatrix3f &r)
void | set_offset_world_position (const LVecBase3f &pos)
void | set_offset_world_position (dReal x, dReal y, dReal z)
void | set_offset_world_quaternion (const LQuaternionf &q)
void | set_offset_world_rotation (const LMatrix3f &r)
void | set_position (const LVecBase3f &pos)
void | set_position (dReal x, dReal y, dReal z)
void | set_quaternion (const LQuaternionf &q)
void | set_rotation (const LMatrix3f &r)
virtual void | write (std::ostream &out=std::cout, unsigned int indent=0) const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static int | get_geom_class ()
static void | init_type ()
Static Public Member Functions inherited from OdeGeom
static TypeHandle | get_class_type ()
static int | get_geom_class ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...

## Friends
class | OdeGeom

## Additional Inherited Members
Public Types inherited from OdeGeom
enum | GeomClass { GC_sphere = 0 , GC_box , GC_capped_cylinder , GC_cylinder , GC_plane , GC_ray , GC_tri_mesh = 8 , GC_simple_space = 10 , GC_hash_space , GC_quad_tree_space }
Public Attributes inherited from TypedObject
| get_type

## Detailed Description

Definition at line 26 of file odeSphereGeom.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeSphereGeom.h
- panda/src/ode/odeSphereGeom.cxx
- panda/src/ode/odeSphereGeom.I